# tablvar package
# Matthew Bertucci 2023/12/26 for v2.0

#include:array
#include:ifpdf
#include:ifthen
#include:multido
#include:pst-node
#include:xkeyval

#keyvals:\usepackage/tablvars#c
pstricks
tikz
#endkeyvals

#ifOption:tikz
#include:tikz
#include:tikzlibrarypatterns
#include:tikzlibrarypatterns.meta
#endif

\begin{tablvar}{nombre}#m\array
\begin{tablvar}[keyvals]{nombre}#m\array
\end{tablvar}#m
\begin{tablvar*}{nombre}#m\array
\begin{tablvar*}[keyvals]{nombre}#m\array
\end{tablvar*}#m

\barre#t
\barre[label]#t
\bas{label}#t
\bb#t
\bblim{ligne1}{label1}{ligne2}{label2}#t
\discont#t
\hachure{llx,lly}{urx,ury}
\haut{label}#t
\limd[pos%keyvals]{ligne}{valeur}
\limd{ligne}{valeur}
\limg[pos%keyvals]{ligne}{valeur}
\limg{ligne}{valeur}
\mil{label}#t
\pos*{ligne}{valeur}#t
\pos[align%keyvals]{ligne}{valeur}#t
\pos{ligne}{valeur}#t
\posvr[pos%keyvals]{ligne}{valeur}
\posvr{ligne}{valeur}
\tablvarset{keyvals}
\variations[nblignes]{nodes}
\variations{nodes}
\vr[ligne]{label}
\vr{label}
\vrconnect{node1}{node2}

#keyvals:\begin{tablvar}#c,\begin{tablvar*}#c,\tablvarset
intervalwidth=##L
colvalwidth=##L
firstcolsep=##L
bordercolsep=##L
limsep=##L
stretch=%<factor%>
extleft#true,false
extright#true,false
ZItype=#h,c
ZIcolor=#%color
ZIaddwidth=##L
#endkeyvals

#keyvals:\limd,\limg,\pos,\posvr,\valpos
c
b
t
#endkeyvals

#keyvals:\zbox
c
l
r
#endkeyvals

\bbrulewidth#*
\bordercolsep#*
\colvalwidth#*
\firstcolsep#*
\fleche{node1}{node2}#*
\innercolsep#*
\intervalwidth#*
\limsep#*
\noeud{name}{label}#*
\tablvarinit{number}#*
\tablvarstretch#*
\themaxdiscont#*
\themaxZI#*
\thenbvarlignes#*
\thenbZI#*
\thenumdiscont#*
\thenumvr#*
\thenumZI#*
\tvbarrewidth#*
\tvcoltypes#*
\tvrulewidth#*
\valpos[pos%keyvals]{ligne}{valeur}#*
\valpos{ligne}{valeur}#*
\varloop{iter}{code}#*
\vdecal{decal%l}{contenu}#*
\zbox[pos%keyvals]{contenu}#*
\zbox{contenu}#*
\ZIaddheight{arg}#*
\ZIaddwidth#*
\ZIc#*t
\ZIc[opt]#*t
\ZIcouleur{arg1}{arg2}#*
\ZIdepth#*
\ZIfind#*
\ZIgetheight{arg}#*
\ZIh#*t
\ZIh*#*t
\ZIh[hauteur%l]#*t
\ZIheight#*
\ZIheighti#*
\ZIheightii#*
\ZIheightiii#*
\ZIheightiv#*
\ZIinit#*
\ZInew#*
\ZIreset{arg}#*
\ZItype#*
\ZIwidth#*

tvbarrecolor#B
ZIcolor#B
